#pragma once
#include <opencv\cv.h>

#include "Mat.h"
#include "ColorConversion.h"

namespace Domination {
	namespace Unmanaged {
		namespace OpenCV {

			public ref class MiscellaneousImageTransformation {
			public:
				static void cvtColor(Mat^ src, Mat^ dst, ColorConversion code);
				static void cvtColor(Mat^ src, Mat^ dst, ColorConversion code, int dstCn);
			};

		}
	}
}